%define debug_package %{nil}
%define _commit 3b6cd7f937b27879588674939e9cf40a92495bcc
%define _shortcommit %(c=%{_commit}; echo ${c:0:7})

Name: nss-tls
Version: 0
Release: 0.1.20190921.%{_shortcommit}%{?dist}

Summary: A DNS over HTTPS resolver for glibc 
License: LGPLv2+
URL: https://github.com/dimkr/nss-tls

Prefix: %{_prefix}

Source0: https://github.com/dimkr/%{name}/archive/%{_commit}.tar.gz

BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libsoup-devel
BuildRequires: meson
BuildRequires: ninja-build
BuildRequires: pkgconfig
BuildRequires: systemd-rpm-macros

%{?systemd_requires}

%description
nss-tls is an alternative, encrypted name resolving library for Linux
distributions with glibc, which uses DNS-over-HTTPS (DoH).

%prep
%autosetup -n %{name}-%{_commit}

%build
meson setup --prefix=%{buildroot}%{_prefix} build .
meson configure -Dresolvers=dns.google/dns-query,dns9.quad9.net/dns-query build
meson --prefix=%{buildroot}%{_prefix} --buildtype=release -Dstrip=true build

%install
ninja -C build install

%{__install} -p -d -m 0755 %{buildroot}%{_unitdir}
%{__install} -p -m 0644 nss-tlsd.service.in %{buildroot}%{_unitdir}/nss-tlsd.service

%{__install} -p -d -m 0755 %{buildroot}%{_userunitdir}
%{__install} -p -m 0644 nss-tlsd-user.service.in %{buildroot}%{_userunitdir}/nss-tlsd.service

sed -i 's#@nss_tlsd_path@#%{_sbindir}/nss-tlsd#' %{buildroot}%{_unitdir}/nss-tlsd.service
sed -i 's#@nss_tlsd_path@#%{_sbindir}/nss-tlsd#' %{buildroot}%{_userunitdir}/nss-tlsd.service

%post
/sbin/ldconfig
systemctl daemon-reload
%systemd_post nss-tlsd.service
%systemd_user_post nss-tlsd.service

%preun
%systemd_preun nss-tlsd.service
%systemd_user_preun nss-tlsd.service

%postun
/sbin/ldconfig
systemctl daemon-reload


%files
%defattr(-,root,root)
%license COPYING
%doc README.md
%{_unitdir}/nss-tlsd.service
%{_userunitdir}/nss-tlsd.service
%{_bindir}/tlslookup
%{_sbindir}/nss-tlsd
%{_libdir}/libnss_tls.so
%{_libdir}/libnss_tls.so.2
%{_mandir}/man8/

%changelog
* Sat Sep 21 2019 Joel Goguen <contact@jgoguen.ca> - 0-0.1.20190921.3b6cd7f
- Create spec for nss-tls
